#
# spec file for package kio_slp (Version 0.4.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openslp openslp-devel openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           kio_slp
BuildRequires:  kdelibs3-devel openslp-devel
License:        GPL
Group:          Productivity/Networking/System
Summary:        SLP Browsing with Konqueror
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
Version:        0.4.1
Release:        16.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name-%{version}.tar.bz2

%description
With kio_slp, browse your SLP (Service Location Protocol) network,
redirect to the real services, or view the service attributes.

Enter "service:/" in Konqueror to browse your network.

Use "slp:/" to browse only SLP announcements and view the attributes.

Use "mdns:/" to browse only multicast DNS announcements and view the
attributes.



Authors:
--------
    Adrian Schrter <adrian@suse.de>

%debug_package
%prep
%setup -q -n %name
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde
  
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
install -d $RPM_BUILD_ROOT/opt/kde3/share/config/kio_slp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING AUTHORS ChangeLog README TODO
%dir /opt/kde3/share/config/kio_slp
/opt/kde3/%_lib/kde3/kio_slp.*
/opt/kde3/share/services/*.protocol
/opt/kde3/share/apps/konqsidebartng
/opt/kde3/share/apps/remoteview
%config(noreplace) /opt/kde3/share/config/kio_slprc

%changelog -n kio_slp
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 01 2005 - adrian@suse.de
- remove enforced smb icon
- add desktop file for kio_remote
* Tue Apr 06 2004 - adrian@suse.de
- fix attribute viewer
* Sun Apr 04 2004 - adrian@suse.de
- fix kio_slp for usage in filedialog
* Sun Apr 04 2004 - adrian@suse.de
- declare proctcols as :internet Class for security reasons
* Tue Mar 30 2004 - adrian@suse.de
- fixed encodings in translations
* Mon Mar 15 2004 - adrian@suse.de
- add translations from Antje
- blacklist also ldap for service:/
* Fri Mar 12 2004 - adrian@suse.de
- update to version 0.4
  * support MDNS names via SLPGetMDNSName()
  * show also mdns services in service:/ mode
  * survive anouncements of broken service urls
  * fix attribute browsing
  * new html attribute page
  * use abstract protocoll names is possible
  * filter double entries
  * workaround for current (wrong ?) smb anouncements
* Wed Mar 10 2004 - adrian@suse.de
- update to version 0.3.3
  * add support for abstract protocol definitions
  * add YaST installations source config
* Mon Mar 01 2004 - adrian@suse.de
- update to version 0.3.2
  * workaround for broken IPv6 anouncements without []
* Sun Feb 29 2004 - adrian@suse.de
- update to version 0.3.1
  * define you and kpf services
  * fix/workaround to handle krfb service urls
  * handle IPv6 anouncements
* Wed Feb 25 2004 - adrian@suse.de
- update to version 0.3
  * add MDNS protocol
  * use "server" icons
* Wed Feb 18 2004 - adrian@suse.de
- update to version 0.2.2
  * show enforced services only once
  * support translations
  * hide more confusing services
* Sat Feb 14 2004 - adrian@suse.de
- update to version 0.2.1
  * fix usage of long protocol and host names
  * look for predefined protocol icons
  * do only show known services in service:/ by default
  * add slp protocol link in service:/
* Sat Feb 14 2004 - adrian@suse.de
- update to version 0.2
  * redirect fixes
  * fix handling of urls with generic services
  * add slp:/ protocol to view only slp attributes
* Thu Feb 12 2004 - adrian@suse.de
- update to version 0.1
  * every service can get configured now
  * add link in konqueror side bar
* Thu Feb 12 2004 - adrian@suse.de
- use smb kioslave and show always an smb entry, if it is installed
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Nov 19 2003 - adrian@suse.de
- install sidebar desktop file below remote
* Sun Nov 16 2003 - adrian@suse.de
- package initial version 0.0
